Package com.independentsoft.office.odf.styles

# Enum Class FillImageReferencePosition

java.lang.Object
java.lang.Enum<FillImageReferencePosition>
com.independentsoft.office.odf.styles.FillImageReferencePosition

All Implemented Interfaces:
  `Serializable`, `Comparable<FillImageReferencePosition>`, `Constable`

public enum FillImageReferencePosition extends Enum<FillImageReferencePosition>
Represents alignment of an image in the filling area.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM`
  Image aligned with the bottom of the filling area.
  `BOTTOM_LEFT`
  Image aligned with the bottom-left of the filling area.
  `BOTTOM_RIGHT`
  Image aligned with the bottom-right of the filling area.
  `CENTER`
  Image aligned with the center of the filling area.
  `LEFT`
  Image aligned with the left of the filling area.
  `NONE`
  None.
  `RIGHT`
  Image aligned with the right of the filling area.
  `TOP`
  Image aligned with the top of the filling area.
  `TOP_LEFT`
  Image aligned with the top-left of the filling area.
  `TOP_RIGHT`
  Image aligned with the top-right of the filling area.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FillImageReferencePosition`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FillImageReferencePosition[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOP_LEFT

    public static final FillImageReferencePosition TOP_LEFT
    Image aligned with the top-left of the filling area.

  - ### TOP

    public static final FillImageReferencePosition TOP
    Image aligned with the top of the filling area.

  - ### TOP_RIGHT

    public static final FillImageReferencePosition TOP_RIGHT
    Image aligned with the top-right of the filling area.

  - ### LEFT

    public static final FillImageReferencePosition LEFT
    Image aligned with the left of the filling area.

  - ### CENTER

    public static final FillImageReferencePosition CENTER
    Image aligned with the center of the filling area.

  - ### RIGHT

    public static final FillImageReferencePosition RIGHT
    Image aligned with the right of the filling area.

  - ### BOTTOM_LEFT

    public static final FillImageReferencePosition BOTTOM_LEFT
    Image aligned with the bottom-left of the filling area.

  - ### BOTTOM

    public static final FillImageReferencePosition BOTTOM
    Image aligned with the bottom of the filling area.

  - ### BOTTOM_RIGHT

    public static final FillImageReferencePosition BOTTOM_RIGHT
    Image aligned with the bottom-right of the filling area.

  - ### NONE

    public static final FillImageReferencePosition NONE
    None.

- ## Method Details

  - ### values

    public static FillImageReferencePosition[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FillImageReferencePosition valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null